//Organização do infográfico
$(document).ready(function(){
  //Cada categoria:
  let categoria = 0;
  //Vai possuir seus estados:
  let estado = 0;
  //Default:
  callHome();

  // ************** Botões de controle: **************
  $("button[name=home]").click(function(){
    console.log("Vamos para o Home!");
    //Zerando os controles de Navegacão
    categoria = 0;
    estado = 0;
    callHome();
  });

  //Voltar
  $("button[name=back]").click(function(){
    switch (categoria){
      case 1://Acompanhamento Clínico
        //Voltar para a primeira tela
        if (estado == 2){
          console.log("Voltando para a primeira tela");
          estado = 1;
          drawAClinico01();
        }
        break;
      case 2://Exames Laboratoriais
        switch(estado){
          case 2:
            estado = 1;
            console.log("Voltando para a primeira tela");
            drawELaboratoriais01();
            break;
          case 3:
            estado = 2;
            console.log("Voltando para a segunda tela");
            drawELaboratoriais02();
            break;
          default:
            console.log("");
        }
        break;
      case 3://Tratamento
        switch(estado){
          case 2:
            estado = 1;
            console.log("Voltando para a primeira tela");
            drawTratamento01();
            break;
          case 3:
            estado = 2;
            console.log("Voltando para a segunda tela");
            drawTratamento02();
            break;
          case 4:
            estado = 3;
            console.log("Voltando para a terceira tela");
            drawTratamento03();
            break;
          default:
            console.log("");
        }
        break;
      case 4://Pessoa com Tuberculose
        //Voltar para a primeira tela:
        if(estado == 2){
          console.log("Voltando para a primeira tela");
          estado = 1;
          drawPessoaTB01();
        }
        break;

      default:
        console.log("Estamos no Home");
    }
  });

  //Seguir
  $("button[name=go]").click(function(){
    console.log("categoria: " + categoria);

    switch (categoria){
      case 1://Acompanhamento Clínico
        //Desenhar a primeira tela
        if (estado == 1){ estado = 2; drawAClinico01(); }
        //Desenhar a segunda tela
        if (estado == 2){ drawAClinico02(); }
        break;
      case 2://Exames Laboratoriais
        switch (estado){
          case 1:
            console.log("indo pro 2");
            estado = 2;
            drawELaboratoriais02();
            break;
          case 2:
            console.log("indo pro 3");
            estado = 3;
            drawELaboratoriais03();
            break; 
          default:
            console.log("");
        }
        break;

      case 3://Tratamento
        switch (estado){
          case 1:
            console.log("indo pro 2");
            estado = 2;
            drawTratamento02();
            break;
          case 2:
            console.log("indo pro 3");
            estado = 3;
            drawTratamento03(); 
            break;
          case 3:
            console.log("indo pro 4");
            estado = 4;
            drawTratamento04();
            break; 
          default:
            console.log("");
        }
        break;
      case 4://Pessoa com Tuberculose
        //Desenhar a primeira tela
        if (estado == 1){ estado = 2; drawPessoaTB01(); }
        //Desenhar a segunda tela
        if (estado == 2){ drawPessoaTB02(); }
        break;

      default:
        console.log("Estamos no Home");
    }
  });

  // ********* Botões de Categorias *********

  //Acompanhamento Cliníco
  $("button[name=ac]").click(function(){
    categoria = 1;
    estado = 1;
    console.log("Acompanhamento clínico ok");
    drawAClinico01();
  });

  //Exames Laboratoriais
  $("button[name=el]").click(function(){
    categoria = 2;
    estado = 1;
    console.log("Exames Laboratoriais ok");
    drawELaboratoriais01();
  });

  //Tratamento
  $("button[name=t]").click(function(){
    categoria = 3;
    estado = 1;
    console.log("Tratamento aberto");
    drawTratamento01();
  });

  //Pessoa com Tuberculose
  $("button[name=pt]").click(function(){
    categoria = 4;
    estado = 1;
    console.log("Pessoa com Tuberculose ok");
    drawPessoaTB01();
  });

});

// 1 - Acompanhamento Clínico
function drawAClinico01(){
  //Ocultar o Home
  $("#home").hide();
  //Mostrar o quadro
  $("#quadro").empty();

  //Organizar os botões
  $("button[name=home]").show();
  $("button[name=go]").show();
  $("button[name=back]").hide();

  //Desenhar a tela:
  $("#quadro").append(
    '<div class="grid-row centro ">'+
      '<div class="tamanho1 meio"> <img src="media/imagens/info/img1.png"> </div>'+
      '<div class="tamanho6 meio"> <h3>Acompanhamento clínico</h3> </div>'+
    '</div>'+
    '<p>Além de conhecer a história atual e pregressa da doença, a  anamnese dos pacientes com tuberculose (TB) é fundamental para:</p>'+
    '<div class="grid-row centro">'+
        '<ul class="cor">'+
          '<li class="cor1"><p>Estabelecer vínculo de aproximação com a pessoa e a família.</p></li>'+
          '<li class="cor2"><p>Fazer o diagnóstico social de cada pessoa e caso necessário, propor estratégias para o fortalecimento da rede de apoio social.</p></li>'+
          '<li class="cor1"><p>Identificar contatos.</p></li>'+
          '<li class="cor2"><p>Identificar <a class="tooltip" title="depressão e outros transtornos mentais, diabetes, doenças imunossupressoras, hepatopatias, doenças renais."><strong>doenças/agravos associados</strong></a>, tabagismo, uso de álcool e drogas ilícitas, além do uso de medicamentos que possam ter interação com o esquema terapêutico da TB.</p></li>'+
        '</ul>'+
    '</div>' +
    '<script> $(".tooltip").tooltip(); </script>'
  );
  $("#quadro").show();
}

function drawAClinico02(){
  //Organizar os botões
  $("button[name=home]").show();
  $("button[name=back]").show();
  $("button[name=go]").hide();

  //Desenhar a tela:
  $("#quadro").empty();

  $("#quadro").append(
    '<div class="grid-row centro">'+
      '<div class="tamanho1 meio"> <img src="media/imagens/info/img1.png"> </div>'+
      '<div class="tamanho6 meio"> <h3>Acompanhamento clínico</h3> </div>'+
    '</div>'+
    '<p>O acompanhamento clínico durante o tratamento deve ser individualizado, ou seja, centrado na pessoa. E de acordo com as necessidades observadas, deve-se programar seu retorno.</p>'+
    '<div class="grid-row centro">'+
      '<div class="tamanho6 meio">'+
        '<div class="box-shadow">'+
          '<p>Não se esqueça de aferir o peso da pessoa durante as consultas. Muitas vezes, há necessidade de ajustar o esquema básico.</p>'+
        '</div>'+
      '</div>'+
      '<div class="tamanho3 meio">'+
        '<div><img src="media/imagens/veterinario1.png"></div>'+
      '</div>'+
    '</div>'
  );
  $("#quadro").show();
}

// 2 - Exames Laboratoriais
function drawELaboratoriais01(){
  //Ocultar o Home
  $("#home").hide();
  //Mostrar o quadro
  $("#quadro").empty();

  //Organizar os botões
  $("button[name=home]").show();
  $("button[name=go]").show();
  $("button[name=back]").hide();

  //Desenhar a tela
  $("#quadro").append(
    '<div class="grid-row centro">'+
        '<div class="tamanho1 meio"> <img src="media/imagens/info/img2.png"> </div>'+
        '<div class="tamanho6 meio"> <h3>Exames laboratoriais</h3> </div>'+
    '</div>'+
    '<p>Uma avaliação laboratorial inicial da pessoa com TB deve ser feita, se possível, com exames bioquímicos tais como:</p>'+
    '<div class="grid-row centro">'+
      '<div class="tamanho4 meio"> <div class="caixa-borda"> <p>Glicemia</p> </div> </div>'+
      '<div class="tamanho4 meio"> <div class="caixa-borda"> <p>Hemoglobina glicosada</p> </div> </div>'+ 
      '<div class="tamanho4 meio"> <div class="caixa-borda"> <p>Ureia</p> </div> </div>'+
      '<div class="tamanho4 meio"> <div class="caixa-borda"> <p>Ácido úrico</p> </div> </div>'+
      '<div class="tamanho4 meio"> <div class="caixa-borda"> <p>Creatinina</p> </div> </div>'+
      '<div class="tamanho4 meio"> <div class="caixa-borda"> <p>Hemograma</p> </div> </div>'+
      '<div class="tamanho4 meio"> <div class="caixa-borda"> <p>Provas hepáticas</p> </div> </div>'+
    '</div>'+
    '<p>Outros exames podem ser solicitados de acordo com a história de doença e suspeição clínica de doenças/agravos associados.</p>'
  );

  //Mostrar o quadro
  $("#quadro").show();
}
function drawELaboratoriais02(){
  //Ocultar o Home
  $("#home").hide();
  //Mostrar o quadro
  $("#quadro").empty();

  //Organizar os botões
  $("button[name=home]").show();
  $("button[name=go]").show();
  $("button[name=back]").show();

  //Desenhar a tela
  $("#quadro").append(
    '<div class="grid-row centro">'+
      '<div class="tamanho1 meio"> <img src="media/imagens/info/img2.png"> </div>'+
      '<div class="tamanho6 meio"> <h3>Exames laboratoriais</h3> </div>'+
    '</div>'+
    '<p>O acompanhamento bacteriológico deve ser realizado mensalmente durante o tratamento. Caso não seja possível, solicitar baciloscopia de controle no segundo, quarto e sexto mês.</p>'+
    '<div class="grid-row centro">'+
      '<div class="tamanho2 meio"> <div><img src="media/imagens/medico2.png"></div> </div>'+
      '<div class="tamanho8 meio">'+
        '<div class="box-shadow">'+
          '<p>Para as pessoas que tiveram baciloscopia positiva no diagnóstico, a comprovação da cura se dará mediante a dois ou mais resultados negativos de baciloscopia durante o tratamento instituído.</p>'+
        '</div>'+
      '</div>'+
    '</div>'+
    '<p>Em caso de baciloscopia positiva após dois meses completos de tratamento, deve-se:</p>'+
    '<ul>'+
      '<li><p>Verificar a adesão, e em caso do tratamento ser autoadministrado, modificar para TDO.</p></li>'+
      '<li><p>Solicitar cultura e teste de sensibilidade caso não tenha sido feito.</p></li>'+
      '<li><p>Manter o esquema terapêutico até o resultado por 30 dias.</p></li>'+
    '</ul>'+
    '<div class="caixa-borda">'+
      '<p>Caso o resultado do teste apresente sensibilidade aos medicamentos, passar para a fase de manutenção de tratamento. Caso não, encaminhar para a referência.</p>'+
    '</div>'
  );

  //Mostrar o quadro
  $("#quadro").show();

}
function drawELaboratoriais03(){
  //Ocultar o Home
  $("#home").hide();
  //Mostrar o quadro
  $("#quadro").empty();

  //Organizar os botões
  $("button[name=home]").show();
  $("button[name=go]").hide();
  $("button[name=back]").show();

  //Desenhar a tela
  $("#quadro").append(
    '<div class="grid-row centro ">'+
      '<div class="tamanho1 meio"> <img src="media/imagens/info/img2.png"> </div>'+
      '<div class="tamanho6 meio"> <h3>Exames laboratoriais</h3> </div>'+
    '</div>'+
    '<p>Deve ser solicitado a testagem para o HIV caso não tenha sido realizado ou o resultado não seja recente, preconizando-se o teste rápido. O controle radiológico deve ser feito no último mês do tratamento, salvo exceções.</p>'+
    '<div class="grid-row centro">'+
      '<div class="tamanho3 meio"> <div><img src="media/imagens/enfermeira2.png"></div> </div>'+
      '<div class="tamanho7 meio">'+                               
        '<div class="box-shadow">'+
          '<p>É importante ressaltar que não basta solicitar os exames, é preciso consultar os resultados. Você sabia que grande parte dos resultados dos exames solicitados não é visto, em tempo hábil, pela equipe de saúde?</p>'+
        '</div>'+
      '</div>'+                         
    '</div>'
  );
  //Mostrar o quadro
  $("#quadro").show();
}

// 3 - Tratamento
function drawTratamento01(){
  //Ocultar o Home
  $("#home").hide();
  //Mostrar o quadro
  $("#quadro").empty();

  //Organizar os botões
  $("button[name=home]").show();
  $("button[name=go]").show();
  $("button[name=back]").hide();

  //Desenhar a tela
  $("#quadro").append(
    '<div class="grid-row centro">'+
      '<div class="tamanho1 meio"> <img src="media/imagens/info/img3.png"> </div>'+
      '<div class="tamanho6 meio"> <h3>Tratamento</h3> </div>'+
    '</div>'+
    '<p>A todas as pessoas em tratamento de TB deve ser realizado o TDO. A tomada dos medicamentos deve ser feita pela manhã, em jejum, em dose única diária. O profissional deve:</p>'+
    '<div class="caixa-exemplo"> <p>Realizar a anotação do TDO e atualizar o livro de registro com dados do acompanhamento de tratamento da pessoa com TB da unidade de saúde.</p> </div>'+
    '<div class="caixa-exemplo"> <p>Avaliar cada pessoa em relação ao uso regular da medicação e instituir estratégias em caso de dificuldade de tomada dos medicamentos.</p> </div>'
  );

  //Mostrar o quadro
  $("#quadro").show();
}

function drawTratamento02(){
  $("#home").hide();

  //Limpar o quadro
  $("#quadro").hide();
  $("#quadro").empty();

  //Organizar os botões
  $("button[name=home]").show();
  $("button[name=go]").show();
  $("button[name=back]").show();  

  $("#quadro").append(
    '<div class="grid-row centro">'+
      '<div class="tamanho1 meio"> <img src="media/imagens/info/img3.png"> </div>'+
      '<div class="tamanho6 meio"> <h3>Tratamento</h3> </div>'+
    '</div>'+
    '<p>O tratamento deverá ser feito em regime ambulatorial. As internações serão solicitadas diante das seguintes situações específicas:</p>'+
    '<div class="grid-row centro">'+
      '<ul class="cor">'+
        '<li class="cor1"><p>Meningoencefalite tuberculosa.</p></li>'+
        '<li class="cor2"><p>Intolerância aos medicamentos anti-TB incontrolável em ambulatório.</p></li>'+
        '<li class="cor1"><p>Estado clínico geral que não permita tratamento em ambulatório.</p></li>'+
        '<li class="cor2"><p>Intercorrências clínicas e/ou cirúrgicas relacionadas ou não à TB.</p></li>'+
        '<li class="cor1"><p>Casos de Vulnerabilidade Social.</p></li>'+
      '</ul>'+
    '</div>'
  );

  //Mostrar o quadro
  $("#quadro").show();
}
function drawTratamento03(){
  $("#home").hide();

  //Limpar o quadro
  $("#quadro").hide();
  $("#quadro").empty();

  //Organizar os botões
  $("button[name=home]").show();
  $("button[name=go]").show();
  $("button[name=back]").show();  

  $("#quadro").append(
    '<div class="grid-row centro ">'+
      '<div class="tamanho1 meio"> <img src="media/imagens/info/img3.png"> </div>'+
      '<div class="tamanho6 meio"> <h3>Tratamento</h3> </div>'+
    '</div>'+
    '<p>Em caso de gestantes, deve-se acrescentar a administração de piridoxina (50 mg/dia) e monitorar os efeitos colaterais.</p>'+
    '<div class="grid-row centro">'+
        '<div class="tamanho3 meio">'+
          '<div><img src="media/imagens/enfermeira2.png"></div>'+
        '</div>'+
        '<div class="tamanho7 meio">'+                               
          '<div class="box-shadow">'+
            '<p>Já a amamentação será contraindicada somente em caso de mastite tuberculosa. Se a mãe estiver com baciloscopia positiva, recomendar utilização de máscara cirúrgica ao amamentar e ao cuidar do bebê.</p>'+
          '</div>'+
        '</div>'+                         
    '</div>'
  );

  //Mostrar o quadro
  $("#quadro").show();
}
function drawTratamento04(){
  $("#home").hide();

  //Limpar o quadro
  $("#quadro").hide();
  $("#quadro").empty();

  //Organizar os botões
  $("button[name=home]").show();
  $("button[name=go]").hide();
  $("button[name=back]").show();  

  $("#quadro").append(
    '<div class="grid-row centro">'+
      '<div class="tamanho1 meio"> <img src="media/imagens/info/img3.png"> </div>'+
      '<div class="tamanho6 meio"> <h3>Tratamento</h3> </div>'+
    '</div>'+
    '<p>Cabe aos profissionais da Atenção Básica, o atendimento das pessoas com TB sensível aos medicamentos anti-TB. Porém a gestão do caso deverá ser compartilhada.</p>'+
    '<div class="grid-row centro">'+
      '<div class="tamanho3 meio"> <div><img src="media/imagens/info/img4.png"></div> </div>'+
      '<div class="tamanho7 meio">'+
        '<p>A pessoa com TB deverá ser encaminhada para unidades de referência secundária em casos de intolerância medicamentosa e/ou efeitos colaterais graves e nos casos de resistência a um ou mais fármacos.</p>'+
      '</div>'+
    '</div>'+
    '<p>Em casos de retratamento, deve-se solicitar cultura e testes de sensibilidade e reavaliar o tratamento de acordo com os resultados encontrados.</p>'
  );

  //Mostrar o quadro
  $("#quadro").show();
}

// 4 - Pessoa com Tuberculose
function drawPessoaTB01(){
  //Ocultar o Home
  $("#home").hide();
  //Mostrar o quadro
  $("#quadro").empty();

  //Organizar os botões
  $("button[name=home]").show();
  $("button[name=go]").show();
  $("button[name=back]").hide();

  $("#quadro").append(
    '<div class="grid-row centro ">'+
      '<div class="tamanho1 meio"> <img src="media/imagens/info/img5.png"> </div>'+
      '<div class="tamanho6 meio"> <h3>Pessoa com TB</h3> </div> '+
    '</div>'+
    '<p>É necessário que a pessoa com TB entenda e participe ativamente do tratamento. Para isto, ela deve ser esclarecida com informações e orientações sobre:</p>'+
    '<div class="grid-row centro">'+
      '<div class="tamanho1 meio"> <div><img src="media/imagens/info/img6.png"></div> </div>'+
      '<div class="tamanho9 meio">'+
        '<div class="caixa-cinza"> <p>A doença TB: o que é; como ela é transmitida.</p> </div>'+
      '</div>'+
    '</div>'+
    '<div class="grid-row centro">'+
      '<div class="tamanho1 meio"> <div><img src="media/imagens/info/img6.png"></div> </div>'+
      '<div class="tamanho9 meio">'+
        '<div class="caixa-cinza">'+
          '<p>O tratamento: esquema terapêutico, TDO, duração do tratamento, necessidade de adesão e efeitos colaterais.</p>'+
        '</div>'+
      '</div>'+                    
    '</div>'+
    '<div class="grid-row centro">'+
      '<div class="tamanho1 meio">'+                              
        '<div><img src="media/imagens/info/img6.png"></div>'+
      '</div>'+
      '<div class="tamanho9 meio">'+
        '<div class="caixa-cinza">'+                              
          '<p>Como será feito o acompanhamento clínico e laboratorial do tratamento.</p>'+
        '</div>'+
      '</div>'+                     
    '</div>'+
    '<div class="grid-row centro">'+
      '<div class="tamanho1 meio">'+
       '<div><img src="media/imagens/info/img6.png"></div>'+
      '</div>'+
      '<div class="tamanho9 meio">'+
        '<div class="caixa-cinza">'+
          '<p>A necessidade do exame de contatos.</p>'+
        '</div>'+
      '</div>'+
    '</div>'
  );
  $("#quadro").show();
}

function drawPessoaTB02(){
  //Organizar os botões
  $("button[name=home]").show();
  $("button[name=back]").show();
  $("button[name=go]").hide();

  //Desenhar a tela:
  $("#quadro").empty();

  $("#quadro").append(
    '<div class="grid-row centro ">'+
      '<div class="tamanho1 meio"> <img src="media/imagens/info/img5.png"> </div>'+
      '<div class="tamanho6 meio"> <h3>Pessoa com TB</h3> </div>'+
    '</div>'+
    '<p>O esquema básico é utilizado tanto para TB pulmonar quanto para a extrapulmonar, exceto em pessoas com comprometimento do sistema nervoso central (SNC).</p>'+
    '<div class="grid-row centro">'+
      '<div class="tamanho1 meio"> <div><img src="media/imagens/info/img7.png"></div> </div>'+
      '<div class="tamanho9 meio">'+
        '<div class="caixa-cinza"> <p>Nesse caso o tempo da fase de manutenção é estendido para sete meses e associa-se também corticoterapia.</p> </div>'+
      '</div>'+
    '</div>'+
    '<p>Lembrando que o acompanhamento do tratamento da TB é referente ao mês do esquema terapêutico já administrado, ou seja, após 30 dias da tomada de medicações, a pessoa completa o primeiro mês de tratamento e assim por diante.</p>'
  );

  $("#quadro").show();
}

//CallHome
function callHome(){
  //Matar o quadro
  $("#quadro").hide();
  $("#quadro").empty();

  //Botões:
  $("button[name=home]").hide();
  $("button[name=go]").hide();
  $("button[name=back]").hide();
  
  //Mostrar o Home
  $("#home").show();
}

